Categories:
  - Writing
License: Apache-2.0
WebSite: https://github.com/dmfs/opentasks/wiki
SourceCode: https://github.com/dmfs/opentasks
IssueTracker: https://github.com/dmfs/opentasks/issues
Changelog: https://github.com/dmfs/opentasks/releases

AutoName: OpenTasks
Summary: Keep track of your list of goals
Description: |-
    A task manager app, allowing you to categorise your todo list by urgency, state,
    timeframe etc.

    Tasks can be synchronised with a CalDAV server using, e.g.,
    [[at.bitfire.davdroid]].

RepoType: git
Repo: https://github.com/dmfs/opentasks.git

Builds:
  - versionName: 1.0.3
    versionCode: 10
    commit: f9d88f8280
    srclibs:
      - task-provider@4b402e7118
    extlibs:
      - android/android-support-v4.jar
    prebuild: sed -i 's@\(reference.1=\).*@\1$$task-provider$$@' project.properties

  - versionName: 1.0.5
    versionCode: 15
    commit: 1.0.5
    init: rm -r releases
    srclibs:
      - task-provider@c14e63ea9c
    extlibs:
      - android/android-support-v4.jar
    prebuild: sed -i 's@\(reference.1=\).*@\1$$task-provider$$@' project.properties

  - versionName: 1.0.7-pre5
    versionCode: 22
    commit: 1.0.7
    srclibs:
      - 1:task-provider@ad70644d94749
      - 2:PagerSlidingTabStrip@v1.0.1
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - mkdir -p $$PagerSlidingTabStrip$$/libs
      - mv libs/android-support-v4.jar $$PagerSlidingTabStrip$$/libs

  - versionName: 1.0.8
    versionCode: 29
    commit: 1.0.8
    srclibs:
      - 1:task-provider@ad70644d94749
      - 2:PagerSlidingTabStrip@v1.0.1
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - mkdir -p $$PagerSlidingTabStrip$$/libs
      - mv libs/android-support-v4.jar $$PagerSlidingTabStrip$$/libs

  - versionName: 1.0.10
    versionCode: 43
    disable: retention-magic-1.2.2 is not released
    commit: 1.0.10
    srclibs:
      - 1:task-provider@1.0.10
      - 2:PagerSlidingTabStrip@v1.0.1
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - mkdir -p $$PagerSlidingTabStrip$$/libs
      - mv libs/android-support-v4.jar $$PagerSlidingTabStrip$$/libs

  - versionName: 1.0.12
    versionCode: 48
    commit: 1.0.12
    srclibs:
      - 1:task-provider@1.0.12
      - 2:PagerSlidingTabStrip@v1.0.1
      - RetentionMagic@v1.2.2
    rm:
      - libs/android-retention-magic-*.jar
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - mkdir -p $$PagerSlidingTabStrip$$/libs
      - cp libs/android-support-v4.jar $$PagerSlidingTabStrip$$/libs
      - cp -fR $$RetentionMagic$$/src/org src/

  - versionName: 1.1.1
    versionCode: 76
    commit: 1.1.1
    srclibs:
      - 1:task-provider@1.1.1
      - 2:PagerSlidingTabStrip@v1.0.1
      - 3:Support/v7/appcompat@android-5.0.1_r1
      - RetentionMagic@v1.2.2
      - DashClock@v1.2
      - xmlobjects@0.3
    rm:
      - libs/android-retention-magic-*.jar
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - mkdir -p $$PagerSlidingTabStrip$$/libs
      - echo -e 'java.source=1.7\njava.target=1.7' | tee $$Support$$/ant.properties
        > ant.properties
      - cp libs/android-support-v4.jar $$PagerSlidingTabStrip$$/libs
      - cp libs/android-support-v4.jar $$Support$$/libs
      - cp -fR $$RetentionMagic$$/src/org src/
      - cp -fR $$xmlobjects$$/src/org src/
      - cp -fR $$DashClock$$/api/src/com src/
      - sed -i -e '175d' src/org/dmfs/tasks/TaskGroupPagerAdapter.java
    target: android-21

  - versionName: 1.1.6
    versionCode: 84
    commit: a9afea5a5f3e856fafc82753fe6ec974856f0e34
    srclibs:
      - 1:task-provider@1.1.1
      - 2:PagerSlidingTabStrip@v1.0.1
      - 3:Support/v7/appcompat@android-5.0.1_r1
      - RetentionMagic@v1.2.2
      - DashClock@v1.2
      - xmlobjects@0.3
    rm:
      - libs/android-retention-magic-*.jar
    extlibs:
      - android/android-support-v4.jar
    prebuild:
      - mkdir -p $$PagerSlidingTabStrip$$/libs
      - echo -e 'java.source=1.7\njava.target=1.7' | tee $$Support$$/ant.properties
        > ant.properties
      - cp libs/android-support-v4.jar $$PagerSlidingTabStrip$$/libs
      - cp libs/android-support-v4.jar $$Support$$/libs
      - cp -fR $$RetentionMagic$$/src/org src/
      - cp -fR $$xmlobjects$$/src/org src/
      - cp -fR $$DashClock$$/api/src/com src/
      - sed -i -e '175d' src/org/dmfs/tasks/TaskGroupPagerAdapter.java
    target: android-21

  - versionName: 1.1.8.2
    versionCode: 103
    commit: 1.1.8.2
    subdir: opentasks
    gradle:
      - yes

  - versionName: 1.1.9
    versionCode: 481
    commit: 1.1.9
    subdir: opentasks
    gradle:
      - yes

  - versionName: 1.1.11
    versionCode: 6740
    commit: 1.1.11
    subdir: opentasks
    gradle:
      - yes

  - versionName: 1.1.12
    versionCode: 6760
    commit: 1.1.12
    subdir: opentasks
    gradle:
      - yes

  - versionName: 1.1.13
    versionCode: 6880
    commit: 1.1.13
    subdir: opentasks
    gradle:
      - yes

  - versionName: 1.1.15
    versionCode: 7330
    commit: 1.1.15
    subdir: opentasks
    gradle:
      - yes
    prebuild: sed -i -e "s/, '--dirty'//" ../build.gradle

  - versionName: 1.1.16
    versionCode: 7350
    commit: 1.1.16
    subdir: opentasks
    gradle:
      - yes
    prebuild: sed -i -e "s/, '--dirty'//" ../build.gradle

  - versionName: 1.1.17
    versionCode: 7430
    commit: 1.1.17
    subdir: opentasks
    gradle:
      - yes
    prebuild: sed -i -e "s/, '--dirty'//" ../build.gradle

  - versionName: 1.1.18
    versionCode: 74998
    commit: 1.1.18
    subdir: opentasks
    gradle:
      - yes
    prebuild: sed -i -e "s/, '--dirty'//" ../build.gradle

  - versionName: 1.1.19
    versionCode: 75500
    commit: 1.1.19
    subdir: opentasks
    gradle:
      - yes
    prebuild:
      - sed -i -e "s/, '--dirty'//" ../build.gradle
      - sed -i -e 's|refs/remotes/origin/master|refs/tags/$$VERSION$$|' build.gradle

  - versionName: 1.1.20
    versionCode: 76000
    commit: 1.1.20
    subdir: opentasks
    gradle:
      - yes
    prebuild:
      - sed -i -e "s/, '--dirty'//" ../build.gradle
      - sed -i -e 's|refs/remotes/origin/master|refs/tags/$$VERSION$$|' build.gradle

MaintainerNotes: |-
    Cannot use UCM/AUM because build.gradle calculates version code at run time.
    Instead, get the latest version name and code per HTTP,
    see https://github.com/dmfs/opentasks/issues/550 .

AutoUpdateMode: Version %v
UpdateCheckMode: HTTP
UpdateCheckData: https://opentasks-app.appspot.com/v1/app/latest_version/|^(\d+),.*|.|^\d+,(.*)
CurrentVersion: 1.1.20
CurrentVersionCode: 76000
